package com.ruoyi.bid.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.bid.mapper.BidInfoMapper;
import com.ruoyi.bid.domain.BidInfo;
import com.ruoyi.bid.service.IBidInfoService;

/**
 * 招标信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-12-09
 */
@Service
public class BidInfoServiceImpl implements IBidInfoService 
{
    @Autowired
    private BidInfoMapper bidInfoMapper;

    /**
     * 查询招标信息
     * 
     * @param id 招标信息主键
     * @return 招标信息
     */
    @Override
    public BidInfo selectBidInfoById(Long id)
    {
        return bidInfoMapper.selectBidInfoById(id);
    }

    /**
     * 查询招标信息列表
     * 
     * @param bidInfo 招标信息
     * @return 招标信息
     */
    @Override
    public List<BidInfo> selectBidInfoList(BidInfo bidInfo)
    {
        return bidInfoMapper.selectBidInfoList(bidInfo);
    }

    /**
     * 新增招标信息
     * 
     * @param bidInfo 招标信息
     * @return 结果
     */
    @Override
    public int insertBidInfo(BidInfo bidInfo)
    {
        bidInfo.setCreateTime(DateUtils.getNowDate());
        return bidInfoMapper.insertBidInfo(bidInfo);
    }

    /**
     * 修改招标信息
     * 
     * @param bidInfo 招标信息
     * @return 结果
     */
    @Override
    public int updateBidInfo(BidInfo bidInfo)
    {
        bidInfo.setUpdateTime(DateUtils.getNowDate());
        return bidInfoMapper.updateBidInfo(bidInfo);
    }

    /**
     * 批量删除招标信息
     * 
     * @param ids 需要删除的招标信息主键
     * @return 结果
     */
    @Override
    public int deleteBidInfoByIds(Long[] ids)
    {
        return bidInfoMapper.deleteBidInfoByIds(ids);
    }

    /**
     * 删除招标信息信息
     * 
     * @param id 招标信息主键
     * @return 结果
     */
    @Override
    public int deleteBidInfoById(Long id)
    {
        return bidInfoMapper.deleteBidInfoById(id);
    }
}
